summaryrefslogtreecommitdiffstats
path: root/development/tea
diff options
context:
space:
mode:
author Nai <bluedbs@gmail.com>2011-07-07 09:45:30 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-07-07 09:45:30 -0300
commit43bc159ae15cac608a4b05ebbba354007178c51a (patch)
tree27617aba031722d9319e89a8f4356f7c29fca412 /development/tea
parent4eae4060177e10cb9d470a5fff55854c55db9b81 (diff)
downloadslackbuilds-43bc159ae15cac608a4b05ebbba354007178c51a.tar.gz
slackbuilds-43bc159ae15cac608a4b05ebbba354007178c51a.tar.xz
development/tea: Renamed from teagtk + updated for version 30.0.0
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'development/tea')
-rw-r--r--development/tea/README2
-rw-r--r--development/tea/doinst.sh3
-rw-r--r--development/tea/slack-desc19
-rw-r--r--development/tea/tea.SlackBuild80
-rw-r--r--development/tea/tea.desktop10
-rw-r--r--development/tea/tea.info10
6 files changed, 124 insertions, 0 deletions
diff --git a/development/tea/README b/development/tea/README
new file mode 100644
index 0000000000..295cd2cf9a
--- /dev/null
+++ b/development/tea/README
@@ -0,0 +1,2 @@
+TEA is the text text editor for UNIX-like systems and Windows. With an
+ultimate small size, TEA provides you hundreds of functions.
diff --git a/development/tea/doinst.sh b/development/tea/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/tea/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/tea/slack-desc b/development/tea/slack-desc
new file mode 100644
index 0000000000..9912a08121
--- /dev/null
+++ b/development/tea/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+tea: tea (text editor)
+tea:
+tea: TEA is the text text editor for UNIX-like systems and Windows. With
+tea: an ultimate small size TEA provides you hundreds of functions.
+tea:
+tea: http://tea-editor.sourceforge.net/index.html
+tea:
+tea:
+tea:
+tea:
+tea:
diff --git a/development/tea/tea.SlackBuild b/development/tea/tea.SlackBuild
new file mode 100644
index 0000000000..79444ce236
--- /dev/null
+++ b/development/tea/tea.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for tea
+# Written by Nai (bluedbs@gmail.com)
+
+PRGNAM=tea
+VERSION=${VERSION:-30.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+qmake \
+ "PREFIX=/usr/bin" \
+ "QMAKE_CXXFLAGS+=$SLKCFLAGS" \
+ "QMAKE_CFLAGS+=$SLKCFLAGS"
+
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/tea.desktop > $PKG/usr/share/applications/tea.desktop
+cp -f icons/tea_icon_v2.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog \
+ manuals/* NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/tea/tea.desktop b/development/tea/tea.desktop
new file mode 100644
index 0000000000..4497cd209d
--- /dev/null
+++ b/development/tea/tea.desktop
@@ -0,0 +1,10 @@
+
+[Desktop Entry]
+Type=Application
+Name=tea
+Comment=Text Editor
+Icon=tea_icon_v2
+Exec=tea
+Terminal=false
+Categories=Utility;TextEditor;
+StartupNotify=true
diff --git a/development/tea/tea.info b/development/tea/tea.info
new file mode 100644
index 0000000000..93e0359d8c
--- /dev/null
+++ b/development/tea/tea.info
@@ -0,0 +1,10 @@
+PRGNAM="tea"
+VERSION="30.0.0"
+HOMEPAGE="http://tea-editor.sourceforge.net/index.html"
+DOWNLOAD="http://sourceforge.net/projects/tea-editor/files/tea-editor/30.0.0/tea-30.0.0.tar.bz2"
+MD5SUM="07508b4972403fc7c3a72169700e6157"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Nai"
+EMAIL="bluedbs@gmail.com"
+APPROVED="Niels Horn"